/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Sohltest generated by hbm2java
 */
@Entity
@Table(name="SOHLTEST"
    ,schema="SEDDB"
)
public class Sohltest  implements java.io.Serializable {

     private long sohltestid;
     private Station station;
     private Zzsondierungart zzsondierungart;
     private Zzarchiv zzarchiv;
     private Date datum;
     private boolean istnurjahr;
     private BigDecimal km;
     private BigDecimal abstand;
     private boolean abstistvonlinks;
     private boolean abstbezug;
     private BigDecimal abstoffset;
     private BigDecimal abstlinks;
     private BigDecimal rechts;
     private BigDecimal hoch;
     private BigDecimal hoehe;
     private String bemerkung;
     private String sohlebeschreib;
     private String sondierungbeschreib;
     private Date lastupdated;
     private Set<Bild> bilds = new HashSet<Bild>(0);
     private Set<Sohlprobe> sohlprobes = new HashSet<Sohlprobe>(0);

    public Sohltest() {
    }


    public Sohltest(long sohltestid, Station station, Date datum, boolean istnurjahr, BigDecimal abstand, boolean abstistvonlinks, boolean abstbezug, BigDecimal abstoffset, Date lastupdated) {
        this.sohltestid = sohltestid;
        this.station = station;
        this.datum = datum;
        this.istnurjahr = istnurjahr;
        this.abstand = abstand;
        this.abstistvonlinks = abstistvonlinks;
        this.abstbezug = abstbezug;
        this.abstoffset = abstoffset;
        this.lastupdated = lastupdated;
    }
    public Sohltest(long sohltestid, Station station, Zzsondierungart zzsondierungart, Zzarchiv zzarchiv, Date datum, boolean istnurjahr, BigDecimal km, BigDecimal abstand, boolean abstistvonlinks, boolean abstbezug, BigDecimal abstoffset, BigDecimal abstlinks, BigDecimal rechts, BigDecimal hoch, BigDecimal hoehe, String bemerkung, String sohlebeschreib, String sondierungbeschreib, Date lastupdated, Set<Bild> bilds, Set<Sohlprobe> sohlprobes) {
       this.sohltestid = sohltestid;
       this.station = station;
       this.zzsondierungart = zzsondierungart;
       this.zzarchiv = zzarchiv;
       this.datum = datum;
       this.istnurjahr = istnurjahr;
       this.km = km;
       this.abstand = abstand;
       this.abstistvonlinks = abstistvonlinks;
       this.abstbezug = abstbezug;
       this.abstoffset = abstoffset;
       this.abstlinks = abstlinks;
       this.rechts = rechts;
       this.hoch = hoch;
       this.hoehe = hoehe;
       this.bemerkung = bemerkung;
       this.sohlebeschreib = sohlebeschreib;
       this.sondierungbeschreib = sondierungbeschreib;
       this.lastupdated = lastupdated;
       this.bilds = bilds;
       this.sohlprobes = sohlprobes;
    }

     @Id


    @Column(name="SOHLTESTID", unique=true, nullable=false, precision=11, scale=0)
    public long getSohltestid() {
        return this.sohltestid;
    }

    public void setSohltestid(long sohltestid) {
        this.sohltestid = sohltestid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="STATIONID", nullable=false)
    public Station getStation() {
        return this.station;
    }

    public void setStation(Station station) {
        this.station = station;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="SONDIERUNGARTID")
    public Zzsondierungart getZzsondierungart() {
        return this.zzsondierungart;
    }

    public void setZzsondierungart(Zzsondierungart zzsondierungart) {
        this.zzsondierungart = zzsondierungart;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ARCHIVID")
    public Zzarchiv getZzarchiv() {
        return this.zzarchiv;
    }

    public void setZzarchiv(Zzarchiv zzarchiv) {
        this.zzarchiv = zzarchiv;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="DATUM", nullable=false, length=7)
    public Date getDatum() {
        return this.datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }


    @Column(name="ISTNURJAHR", nullable=false, precision=1, scale=0)
    public boolean isIstnurjahr() {
        return this.istnurjahr;
    }

    public void setIstnurjahr(boolean istnurjahr) {
        this.istnurjahr = istnurjahr;
    }


    @Column(name="KM", precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name="ABSTAND", nullable=false, precision=8, scale=3)
    public BigDecimal getAbstand() {
        return this.abstand;
    }

    public void setAbstand(BigDecimal abstand) {
        this.abstand = abstand;
    }


    @Column(name="ABSTISTVONLINKS", nullable=false, precision=1, scale=0)
    public boolean isAbstistvonlinks() {
        return this.abstistvonlinks;
    }

    public void setAbstistvonlinks(boolean abstistvonlinks) {
        this.abstistvonlinks = abstistvonlinks;
    }


    @Column(name="ABSTBEZUG", nullable=false, precision=1, scale=0)
    public boolean isAbstbezug() {
        return this.abstbezug;
    }

    public void setAbstbezug(boolean abstbezug) {
        this.abstbezug = abstbezug;
    }


    @Column(name="ABSTOFFSET", nullable=false, precision=8, scale=3)
    public BigDecimal getAbstoffset() {
        return this.abstoffset;
    }

    public void setAbstoffset(BigDecimal abstoffset) {
        this.abstoffset = abstoffset;
    }


    @Column(name="ABSTLINKS", precision=8, scale=3)
    public BigDecimal getAbstlinks() {
        return this.abstlinks;
    }

    public void setAbstlinks(BigDecimal abstlinks) {
        this.abstlinks = abstlinks;
    }


    @Column(name="RECHTS", precision=11, scale=3)
    public BigDecimal getRechts() {
        return this.rechts;
    }

    public void setRechts(BigDecimal rechts) {
        this.rechts = rechts;
    }


    @Column(name="HOCH", precision=11, scale=3)
    public BigDecimal getHoch() {
        return this.hoch;
    }

    public void setHoch(BigDecimal hoch) {
        this.hoch = hoch;
    }


    @Column(name="HOEHE", precision=8, scale=3)
    public BigDecimal getHoehe() {
        return this.hoehe;
    }

    public void setHoehe(BigDecimal hoehe) {
        this.hoehe = hoehe;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }


    @Column(name="SOHLEBESCHREIB", length=1024)
    public String getSohlebeschreib() {
        return this.sohlebeschreib;
    }

    public void setSohlebeschreib(String sohlebeschreib) {
        this.sohlebeschreib = sohlebeschreib;
    }


    @Column(name="SONDIERUNGBESCHREIB", length=1024)
    public String getSondierungbeschreib() {
        return this.sondierungbeschreib;
    }

    public void setSondierungbeschreib(String sondierungbeschreib) {
        this.sondierungbeschreib = sondierungbeschreib;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="LASTUPDATED", nullable=false, length=7)
    public Date getLastupdated() {
        return this.lastupdated;
    }

    public void setLastupdated(Date lastupdated) {
        this.lastupdated = lastupdated;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="sohltest")
    public Set<Bild> getBilds() {
        return this.bilds;
    }

    public void setBilds(Set<Bild> bilds) {
        this.bilds = bilds;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="sohltest")
    public Set<Sohlprobe> getSohlprobes() {
        return this.sohlprobes;
    }

    public void setSohlprobes(Set<Sohlprobe> sohlprobes) {
        this.sohlprobes = sohlprobes;
    }
}
